Subject: [bug#68675] [PATCH] Support dhcpcd in dhcp-client-service-type

From: Sören Tempel <[email-masked]>
Date: Wed, 24 Jan 2024 20:11:46 +0100

Hi Sergey,

Sergey Trofimov <[email-masked]> wrote:
> Basic functionality works for me - my laptop receives an address.

Great, thanks for your feedback!

> Some things to fix:
> 1. 20-resolv.conf hook needs to be wrapped, it can't find `resolvconf`
> currently (from openresolv)

Good catch, it does need to be wrapped. However, it doesn't need
resolvconf (that's just an optional dependency) it does, however, need
coreutils and sed. I added a corresponding wrap-program invocation.

This should fix creation of /etc/resolv.conf via dhcpcd.

> 2. %base-packages still contains isc-dhcp... why is it even needed?

I removed it from %base-packages together with the service changes.

Let me know if you find anything else!

Greetings
Sören